[User Story] Able to enable/disable the Context Search feature
As a user, I will be able to enable/disable the Context Search feature as I see fit to ensure I am able to personalize the search experience.